-- This file:
--   http://anggtwu.net/LUA/Dednat7oldheads.lua.html
--   http://anggtwu.net/LUA/Dednat7oldheads.lua
--          (find-angg "LUA/Dednat7oldheads.lua")
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
--
-- Experimental support for the heads "%", "%:" and "%D" of dednat6.
--
-- (defun e () (interactive) (find-angg "LUA/Dednat7oldheads.lua"))

-- Based on: (find-dn6 "dednat6.lua" "package.path")
--           (find-dn6 "dednat6.lua" "requires")
--           (find-dn6 "heads6.lua" "registerhead")
--
dednat7oldheads = function ()
    dednat6dir   = dednat6dir or "dednat6/"
    package.path = dednat6dir.."?.lua;"..package.path
    require "abbrevs"      -- (find-dn6 "abbrevs.lua")
    require "parse"        -- (find-dn6 "parse.lua")
    require "rect"         -- (find-dn6 "rect.lua")
    require "stacks"       -- (find-dn6 "stacks.lua")
    --
    require "heads6"       -- (find-dn6 "heads6.lua")
    --
    -- Code for generating derivation trees from "%:" lines:
    require "treetex"      -- (find-dn6 "treetex.lua")
    require "treesegs"     -- (find-dn6 "treesegs.lua")
    --
    -- Code for generating diagxy diagrams from "%D" lines:
    require "diagstacks"   -- (find-dn6 "diagstacks.lua")
    require "diagtex"      -- (find-dn6 "diagtex.lua")
    require "diagforth"    -- (find-dn6 "diagforth.lua")
    --require "errors"     -- (find-dn6 "errors.lua")
    require "diagmiddle"   -- (find-dn6 "diagmiddle.lua")
  end


--[[
 (eepitch-lua51)
 (eepitch-kill)
 (eepitch-lua51)
dofile "dednat7load.lua"
dofile "Dednat7oldheads.lua"
dednat6dir = ee_expand "~/LATEX/dednat6/"
dednat7oldheads()

--]]



-- Local Variables:
-- coding:  utf-8-unix
-- End:
